%define upstream_name    Alien-SDL
%define upstream_version 1.425

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Building, finding and using SDL binaries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Alien/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Extract)
BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Fetch) >= 0.240.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Text::Patch) >= 1.400.0
BuildRequires: SDL-devel
%description
Please see the Alien manpage for the manifesto of the Alien namespace.

In short 'Alien::SDL' can be used to detect and get configuration settings
from an installed SDL and related libraries. Based on your platform it
offers the possibility to download and install prebuilt binaries or to
build SDL & co. from source codes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
echo 1 | %{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %buildroot
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Feb 26 2011 jquelin <jquelin> 1.425.0-1.mga1
+ Revision: 60651
- update to 1.425

* Fri Jan 21 2011 jquelin <jquelin> 1.421.0-1.mga1
+ Revision: 29343
- mageia rebuild
- imported package perl-Alien-SDL

